#!/usr/bin/perl

######################################################################
package Cognition::DocModel::Figure;
######################################################################

use Cognition::DocModel::Node;

sub uri
{
	return $this->{object}->uri(@_);
}

sub rdf_subject
{
	my $this = shift;

	my $s1 = Cognition::DocModel::Node::rdf_subject($this, @_); 
	my $s2 = $this->{object}->rdf_subject;
	
	$s1->merge($s2);
	return $s1;
}

sub metadata_ns
{
	my $this = shift;

	return $this->{object}->metadata_ns;
}

1; #/package Cognition::DocModel::Figure




